Bug 882091 - installer crashes when working with disks containing stale lvm metadata
Summary: installer crashes when working with disks containing stale lvm metadata
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 18
Hardware: All
OS: All
unspecified
high
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-11-30 05:12 UTC by Adam Williamson
Modified: 2014-02-05 13:25 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-02-05 13:25:26 UTC
Type: Bug


Attachments (Terms of Use)
traceback (218.14 KB, text/plain)
2012-11-30 05:12 UTC, Adam Williamson
no flags Details

Description Adam Williamson 2012-11-30 05:12:58 UTC
Created attachment 654815 [details]
traceback

All in a VM with a 15GB and a 10GB disk, all LVM, all with Beta (18.29.2)

I did an F18 Beta software RAID-1 install (custom part, wipe all partitions, auto-create partitions, then change / to be softRAID1), then an autopart two-disk install over the top of that, to try and reproduce 876789. It didn't - the autopart two-disk install worked. When it completed, without rebooting, I switch to ctrl-alt-f2 and did parted /dev/vda; mklabel; parted /dev/vdb; mklabel . Then I removed the second disk (so I'm down to just one 15GB disk), and did an autopart encrypted F18 Beta install. It hit this bug at the start of partitioning.

Bug got marked as a dupe of 870586 , but the tb is clearly different.

Comment 1 David Lehman 2012-11-30 17:05:02 UTC
Any time you run mklabel on a disk with lvm on the partitions you are asking for trouble.

What we need to do now is decide how to disable the lvm udev rules that appeared recently, which auto-activate any and all lvm that appears in the system.

Since you didn't do anything to actually remove the lvm metadata, the last automatic partitioning set the pv at the exact same place on disk as previously, which triggered those lvm udev rules before we could clear the partition's contents.

Comment 2 Adam Williamson 2012-12-01 04:18:31 UTC
so does the request from some other bug (I forget which) to try it with the new lvm2 build apply here? presumably. I guess I should just build an image with the new lvm2 and dick around with it for a while, but negative results ("it doesn't crash") are so inconclusive...sigh.

Comment 3 Fedora End Of Life 2013-12-21 09:33:59 UTC
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Fedora End Of Life 2014-02-05 13:25:30 UTC
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.